Page MenuHomePhabricator

Crash when closing from the bar popup.
Closed, ResolvedPublic

Description

To rep. Open a few efm wins. Hover mouse over the icon > rclick on the popup and close

you get(after one or two tries):

[New LWP 29068]
[New LWP 29069]
[New LWP 29074]
[New LWP 29083]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/enlightenment'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xa8ef43e6 in _bar_icon_preview_menu_hide (data=0x2292388, e=0x80002d57, obj=0x80054328, event_data=0x0) at ../src/modules/luncher/bar.c:768
768                  ic->inst->current_preview_menu = EINA_FALSE;
[Current thread is 1 (Thread 0xb569da80 (LWP 29068))]
(gdb) bt
#0  0xa8ef43e6 in _bar_icon_preview_menu_hide (data=0x2292388, e=0x80002d57, obj=0x80054328, event_data=0x0) at ../src/modules/luncher/bar.c:768
#1  0xb722c0c4 in _eo_evas_object_cb (data=0x22333c0, event=0xbfe6430c) at lib/evas/canvas/evas_callbacks.c:189
#2  0xb62c9b1e in _event_callback_call (legacy_compare=1 '\001', event_info=0x0, desc=0xb63390e4 , pd=0x2393108, obj_id=0x80054328) at lib/eo/eo_base_class.c:1502
#3  0xb62c9b1e in _efl_object_event_callback_legacy_call (obj_id=0x80054328, pd=0x2393108, desc=0xb63390e4 , event_info=0x0) at lib/eo/eo_base_class.c:1575
#4  0xb62c5aa0 in efl_event_callback_legacy_call (obj=0x80054328, desc=0xb63390e4 , event_info=0x0) at lib/eo/eo_base_class.c:1578
#5  0xb62c5aa0 in efl_event_callback_legacy_call (obj=0x80054328, desc=0xb63390e4 , event_info=0x0) at lib/eo/eo_base_class.c:1578
#6  0xb722c8dd in evas_object_event_callback_call (eo_obj=0x80054328, obj=0x2393130, type=EVAS_CALLBACK_HIDE, event_info=0x0, event_id=72884, efl_event_desc=0xb63390e4 )
    at lib/evas/canvas/evas_callbacks.c:404
#7  0xb72696db in evas_object_inform_call_hide (eo_obj=0x80054328) at lib/evas/canvas/evas_object_inform.c:23
#8  0xb62f35e2 in efl_gfx_visible_set (obj=0x80054328, v=0 '\000') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#9  0xb7274abb in _efl_canvas_group_clipped_efl_gfx_visible_set (eo_obj=0x80054328, obj=0x2393238, vis=0 '\000') at lib/evas/canvas/evas_object_smart_clipped.c:123
#10 0xb62f35e2 in efl_gfx_visible_set (obj=0x80054328, v=0 '\000') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#11 0xb6ce3eb0 in _edje_object_hide (ed=0x2393240, obj=0x80054328) at lib/edje/edje_smart.c:341
#12 0xb6ce3eb0 in _edje_object_efl_gfx_visible_set (obj=0x80054328, ed=0x2393240, vis=0 '\000') at lib/edje/edje_smart.c:359
#13 0xb62f35e2 in efl_gfx_visible_set (obj=0x80054328, v=0 '\000') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#14 0xb7260942 in evas_object_hide (eo_obj=0x80054328) at lib/evas/canvas/evas_object_main.c:1710
#15 0x0053e124 in _e_comp_object_util_done_defer (data=0x80057531, obj=0x80054328, emission=0x220fae8 "e,action,hide,done", source=0xb7698dea  "e") at ../src/bin/e_comp_object.c:2837
#16 0xb6cd3f3c in edje_match_callback_exec_check_finals (prop=, ed=0x2393240, source=0xb7698dea  "e", sig=0x220fae8 "e,action,hide,done", source_states=, signal_states=, matches=0x15a9040, ssp=0x135f1b0) at lib/edje/edje_match.c:556
#17 0xb6cd3f3c in edje_match_callback_exec (ssp=0x135f1b0, matches=0x15a9040, sig=0x220fae8 "e,action,hide,done", source=0xb7698dea  "e", ed=0x2393240, prop=0 '\000')
    at lib/edje/edje_match.c:711
#18 0xb6cdb1da in _edje_emit_cb (prop=0 '\000', data=0x0, src=0xb7698dea  "e", sig=0x220fae8 "e,action,hide,done", ed=0x2393240) at lib/edje/edje_program.c:1586
#19 0xb6cdb1da in _edje_emit_handle (ed=0x2393240, sig=0x220fae8 "e,action,hide,done", src=0xb7698dea  "e", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1538
#20 0xb6cd5445 in _edje_message_process (em=0x20be638) at lib/edje/edje_message_queue.c:790
#21 0xb6cd5958 in _edje_message_queue_process () at lib/edje/edje_message_queue.c:893
#22 0xb6cd5b3c in _edje_message_queue_process () at lib/edje/edje_message_queue.c:859
#23 0xb6cd5b3c in _edje_job (data=0x0) at lib/edje/edje_message_queue.c:260
#24 0xb758038d in _ecore_job_event_handler (data=0x0, type=15, ev=0xf334a0) at lib/ecore/ecore_job.c:98
#25 0xb757bb66 in _ecore_call_handler_cb (event=, type=, data=, func=) at lib/ecore/ecore_private.h:325
#26 0xb757bb66 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#27 0xb7583c97 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2398
#28 0xb75840c7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#29 0x0050f0a3 in main (argc=, argv=) at ../src/bin/e_main.c:1088
(gdb)
ApB created this task.Sep 1 2017, 1:16 AM
zmike reassigned this task from zmike to stephenmhouston.Sep 1 2017, 7:01 AM
stephenmhouston triaged this task as Pending on user input priority.Sep 6 2017, 2:10 PM

I can not reproduce this in any shape form or fashion. Does this ONLY happen with EFM? If so this may be a bug there and not with luncher.

ApB added a comment.Sep 7 2017, 3:16 AM

I can not reproduce this in any shape form or fashion. Does this ONLY happen with EFM? If so this may be a bug there and not with luncher.

I can rep it. Noticed it only on EFM.

zmike raised the priority of this task from Pending on user input to High.Sep 7 2017, 11:56 AM
==24918== Invalid read of size 8
==24918==    at 0x2A83AF0C: _bar_icon_preview_menu_hide (bar.c:724)
==24918==    by 0x6C05E55: _eo_evas_object_cb (evas_callbacks.c:184)
==24918==    by 0xAF7E1B8: _event_callback_call (eo_base_class.c:1496)
==24918==    by 0xAF7E540: _efl_object_event_callback_legacy_call (eo_base_class.c:1569)
==24918==    by 0xAF7E608: efl_event_callback_legacy_call (eo_base_class.c:1572)
==24918==    by 0x6C46303: _efl_canvas_object_efl_object_event_callback_legacy_call (evas_object_main.c:1016)
==24918==    by 0xAF7E608: efl_event_callback_legacy_call (eo_base_class.c:1572)
==24918==    by 0x6C068C0: evas_object_event_callback_call (evas_callbacks.c:404)
==24918==    by 0x6C50B4E: evas_object_inform_call_hide (evas_object_inform.c:23)
==24918==    by 0x6C48E3E: _hide (evas_object_main.c:1829)
==24918==    by 0x6C48EB0: _efl_canvas_object_efl_gfx_visible_set (evas_object_main.c:1840)
==24918==    by 0xAD2C0C3: efl_gfx_visible_set (efl_gfx.eo.c:21)
==24918==    by 0x6C5E999: _efl_canvas_group_clipped_efl_gfx_visible_set (evas_object_smart_clipped.c:123)
==24918==    by 0xAD2C0C3: efl_gfx_visible_set (efl_gfx.eo.c:21)
==24918==    by 0x84CEC45: _edje_object_hide (edje_smart.c:331)
==24918==    by 0x84CEDCF: _edje_object_efl_gfx_visible_set (edje_smart.c:349)
==24918==    by 0xAD2C0C3: efl_gfx_visible_set (efl_gfx.eo.c:21)
==24918==    by 0x6C4886C: evas_object_hide (evas_object_main.c:1675)
==24918==    by 0x4827A7: _e_comp_object_util_done_defer (e_comp_object.c:2852)
==24918==    by 0x84C001C: edje_match_callback_exec_check_finals (edje_match.c:556)
==24918==    by 0x84C0551: edje_match_callback_exec (edje_match.c:711)
==24918==    by 0x84CA264: _edje_emit_cb (edje_program.c:1674)
==24918==    by 0x84CA0D9: _edje_emit_handle (edje_program.c:1626)
==24918==    by 0x84C2C8D: _edje_message_process (edje_message_queue.c:795)
==24918==    by 0x84C30A5: _edje_message_queue_process (edje_message_queue.c:898)
==24918==    by 0x84C1C40: _edje_job (edje_message_queue.c:265)
==24918==    by 0x5E80C3E: _ecore_job_event_handler (ecore_job.c:98)
==24918==    by 0x5E79B53: _ecore_call_handler_cb (ecore_private.h:325)
==24918==    by 0x5E7AB2C: _ecore_event_call (ecore_events.c:518)
==24918==    by 0x5E84141: _ecore_main_loop_iterate_internal (ecore_main.c:2398)
==24918==    by 0x5E81C6B: ecore_main_loop_begin (ecore_main.c:1299)
==24918==    by 0x54424E: main (e_main.c:1088)
==24918==  Address 0x28220998 is 24 bytes inside a block of size 144 free'd
==24918==    at 0x4C2FD18: free (vg_replace_malloc.c:530)
==24918==    by 0x2A8397B1: _bar_icon_del (bar.c:259)
==24918==    by 0x2A83CDA1: _bar_cb_client_remove (bar.c:1209)
==24918==    by 0x5E79B53: _ecore_call_handler_cb (ecore_private.h:325)
==24918==    by 0x5E7AB2C: _ecore_event_call (ecore_events.c:518)
==24918==    by 0x5E84141: _ecore_main_loop_iterate_internal (ecore_main.c:2398)
==24918==    by 0x5E81C6B: ecore_main_loop_begin (ecore_main.c:1299)
==24918==    by 0x54424E: main (e_main.c:1088)
==24918==  Block was alloc'd at
==24918==    at 0x4C30A1E: calloc (vg_replace_malloc.c:711)
==24918==    by 0x2A83C51D: _bar_icon_add (bar.c:1085)
==24918==    by 0x2A83D736: _bar_cb_exec_client_prop (bar.c:1357)
==24918==    by 0x5E79B53: _ecore_call_handler_cb (ecore_private.h:325)
==24918==    by 0x5E7AB2C: _ecore_event_call (ecore_events.c:518)
==24918==    by 0x5E84141: _ecore_main_loop_iterate_internal (ecore_main.c:2398)
==24918==    by 0x5E81C6B: ecore_main_loop_begin (ecore_main.c:1299)
==24918==    by 0x54424E: main (e_main.c:1088)